<template>
  <v-container fluid text-lg-center style="padding: 0">
    <v-card flat>
      <v-card-text style="padding-top: 0">
        <v-layout column wrap>
          <v-flex>
            <v-text-field
              label="Judul"
              v-model="comForm.title"
            >
            </v-text-field>            
          </v-flex>
          <v-divider></v-divider>
          <v-flex>            
            <editor v-model="content" @onChange="onChange"></editor>
          </v-flex>
        </v-layout>
      </v-card-text>
      <v-divider></v-divider>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          color="green"
          class="white--text"
          ripple round depressed
          @click="onSave"
        >
          Save
          <v-icon right light>save</v-icon>
        </v-btn>
        <v-btn
          color="warning"
          class="white--text"
          ripple round depressed
          @click="onCancel"
        >
          Cancel
          <v-icon right light>cancel</v-icon>
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-container>
</template>

<script>
import Editor from '@tinymce/tinymce-vue'

export default {
  name: 'FormInformasi',
  components: {
    Editor
  },
  data () {
    return {      
      formData: {
        title: null,
        content: null,
        created_at: null,
        updated_at: null
      }
    }
  },  
  props: {
    propForm: {
      type: String,
      required: false,
      default: this.formData
    }
  },
  computed: {
    comForm () {
      if (this.propForm) {
        Object.assign(this.formData, this.propForm)
      }

      return this.formData
    },
    content: {
      get () {
        return this.comForm.content
      },
      set (value) {
        this.comForm.content = value
      }
    }
  },
  methods: {
    onSave () {
      this.$emit('onSave', this.comForm)
    },
    onCancel () {
      this.$emit('onCancel')
    },
    onChange () {

    }
  }
}
</script>

<style>

</style>
